Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/users/{userId}/model-roles \
--header 'Authorization: Bearer <token>'{
"membershipId": "9633bd79-7bdf-4773-8952-8fdd4098e51c",
"results": [
{
"baseRole": "MODELER",
"from": {
"type": "User Role"
},
"priority": 350,
"resolved": true,
"roleName": "MODELER",
"connectionId": "8a464dc9-1f0e-4a9e-86fa-e1e6d970157c",
"modelId": "5fb90312-67b1-4cca-823a-9a341d549320"
},
{
"baseRole": "QUERIER",
"from": {
"depth": 0,
"miniUuid": "PgjffoEu",
"name": "Super Group",
"type": "Group Role"
},
"priority": 250,
"resolved": false,
"roleName": "QUERIER",
"connectionId": "8a464dc9-1f0e-4a9e-86fa-e1e6d970157c",
"modelId": "5fb90312-67b1-4cca-823a-9a341d549320"
},
{
"baseRole": "VIEWER",
"from": {
"type": "Connection Base Role"
},
"priority": 50,
"resolved": false,
"roleName": "VIEWER",
"connectionId": "8a464dc9-1f0e-4a9e-86fa-e1e6d970157c",
"modelId": "5fb90312-67b1-4cca-823a-9a341d549320"
}
]
}Retrieves the model role assignments for a user. This includes both direct role assignments and roles inherited from user group memberships.
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/users/{userId}/model-roles \
--header 'Authorization: Bearer <token>'{
"membershipId": "9633bd79-7bdf-4773-8952-8fdd4098e51c",
"results": [
{
"baseRole": "MODELER",
"from": {
"type": "User Role"
},
"priority": 350,
"resolved": true,
"roleName": "MODELER",
"connectionId": "8a464dc9-1f0e-4a9e-86fa-e1e6d970157c",
"modelId": "5fb90312-67b1-4cca-823a-9a341d549320"
},
{
"baseRole": "QUERIER",
"from": {
"depth": 0,
"miniUuid": "PgjffoEu",
"name": "Super Group",
"type": "Group Role"
},
"priority": 250,
"resolved": false,
"roleName": "QUERIER",
"connectionId": "8a464dc9-1f0e-4a9e-86fa-e1e6d970157c",
"modelId": "5fb90312-67b1-4cca-823a-9a341d549320"
},
{
"baseRole": "VIEWER",
"from": {
"type": "Connection Base Role"
},
"priority": 50,
"resolved": false,
"roleName": "VIEWER",
"connectionId": "8a464dc9-1f0e-4a9e-86fa-e1e6d970157c",
"modelId": "5fb90312-67b1-4cca-823a-9a341d549320"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
The ID of the user to retrieve model roles for.
Filter results to a specific model ID. If not provided, returns roles for all models the user has access to.
Filter results to models from a specific connection. If not provided, returns roles for all connections.
Was this page helpful?